/*
 * @Author: your name
 * @Date: 2021-11-05 09:01:50
 * @LastEditTime: 2021-11-05 14:56:18
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /react-antd-admin-template/src/api/generalSetting.js
 */


import request from '@/utils/request'

export function getTemplateLists(data) {
    return request({
      url: '/pageTemplate/list',
      method: 'get',
      params:{...data}
    })
}

export function commitTemplateData(data) {
    return request({
      url: '/pageTemplate/addTemplate',
      method: 'post',
      data:{...data}
    })
}

export function editTemplateData(data) {
    return request({
      url: '/pageTemplate/editPageTemplate',
      method: 'post',
      data:{...data}
    })
}

export function delTemplateData(data) {
    return request({
      url: '/pageTemplate/delTemplate',
      method: 'post',
      params:{...data}
    })
}